# Targeting options

> TikTok locations, languages, and interests.

Canonical: <https://www.tryadeli.com/docs/api/ads/list-targeting>

`GET https://app.tryadeli.com/api/v1/ads/targeting`

Authorization: `Bearer <API key>` — see [Authentication](https://www.tryadeli.com/docs/authentication)

**TikTok Ads only.** The targeting options a TikTok campaign can use: locations
(`regions`), `languages`, or `interests`. Pass the returned `id`s in the
`targeting` of [Create campaign](https://www.tryadeli.com/docs/api/ads/create-campaign).

**Query parameters**

| Name          | Type     | Required | Description                                                                                     |
| ------------- | -------- | -------- | ----------------------------------------------------------------------------------------------- |
| `adAccountId` | `string` | Yes      | A TikTok advertiser id.                                                                         |
| `type`        | `string` | Yes      | regions, languages or interests.                                                                |
| `goal`        | `string` |          | traffic, reach or video\_views. Location availability depends on the goal; defaults to traffic. |

## Request examples

**cURL**

```bash
curl "https://app.tryadeli.com/api/v1/ads/targeting?accountId=00000000-0000-0000-0000-000000000000&adAccountId=7000000000000000001&type=regions" \
  -H "Authorization: Bearer $ADELI_API_KEY"
```

**JavaScript**

```javascript
const response = await fetch("https://app.tryadeli.com/api/v1/ads/targeting?accountId=00000000-0000-0000-0000-000000000000&adAccountId=7000000000000000001&type=regions", {
  headers: {
    Authorization: `Bearer ${process.env.ADELI_API_KEY}`,
  },
});
console.log(await response.json());
```

**Python**

```python
import os

import requests

response = requests.get(
    "https://app.tryadeli.com/api/v1/ads/targeting",
    headers={"Authorization": f"Bearer {os.environ['ADELI_API_KEY']}"},
    params={
        "accountId": "00000000-0000-0000-0000-000000000000",
        "adAccountId": "7000000000000000001",
        "type": "regions",
    },
)
print(response.json())
```

## Responses

### 200

```json
{
  "platform": "tiktok_ads",
  "accountId": "00000000-0000-0000-0000-000000000000",
  "adAccountId": "7000000000000000001",
  "type": "regions",
  "options": [
    { "id": "6252001", "name": "United States", "parentId": null, "level": "COUNTRY" }
  ]
}
```

### 400

```json
{
  "error": {
    "code": "unsupported_for_platform",
    "message": "Targeting lookups is not available for Meta ads accounts"
  }
}
```
